#include "config.h"

void load_config()
{
	CFG_addTool("emospeech", "EmoSpeechConfig", "config.xml", "Emotion recognition in speech");
	CFG_addOptionS(config, configLearned, pConfig, 1, "", "file containing average and var of each feature for each emotion", "");
	CFG_addOptionS(config, featuresWeights, pReal, NFEATS, "1;1;1;1;1;1", "importance of features: pct voiced, pitch avg/dev, energy avg/dev/norm (allows to disable features)", "[0,1]");
	CFG_addOptionS(config, emfeatCenters, pReal, NEMOTIONS*NFEATS, "0.28,127.91,40,11091.46,2751.17,0.25;0.18;135.89;40.99;13007.99;4671.05;0.36;0.23,153.87,45.83,14086.55,4526.57,0.32;0.2,98.29,37.01,9395.78,2298.44,0.24", "learned data centers: e1f1,e1f2,...;e2f1,e2f2,...", "");
	CFG_addOptionS(config, emfeatStdevs, pReal, NEMOTIONS*NFEATS, "0.07,9.65,6.28,319.36,248.66,0.02;0.05;14.21;4.85;714.39;428.7;0.03;0.05,5.58,5.9,547.5,511.19,0.04;0.05,9.64,2.22,563.06,262.27,0.03", "learned data std devs", "");
	CFG_addOptionS(config, learning, pBool, 1, "learn parameters before", "", "");
	CFG_addOptionSep();
	CFG_addOptionS(config, nChunks, pInt, 1, "20", "emotion decision based on how many chunks", ">0");
	CFG_addOptionS(config, chunkLength, pReal, 1, "0.5", "chunk length (seconds)", "");
	CFG_addOptionS(config, acquisFreq, pInt, 1, "22050", "acquisition frequency (Hz)", "");
	CFG_addOptionS(config, acquisDepth, pInt, 1, "16", "acquisition depth (bits)", "8 or 16");
	CFG_addOptionSep();
	CFG_addOptionS(config, pdaFrameLength, pReal, 1, "0.020", "speech frame length (seconds)", "");
	CFG_addOptionS(config, pdaFrameShift, pReal, 1, "0.010", "speech frame shift (seconds)", "");
	CFG_addOptionS(config, normalizeGain, pReal, 1, "40", "normalization gain of the wave", "");
	CFG_addOptionS(config, noiseFloor, pInt, 1, "5000", "noise floor", "[0,32267]");
	CFG_addOptionSep();
	CFG_addOptionS(config, minPctVoiced, pReal, 1, "0.1", "min percentage of voiced signal to classify emotion", "[0,1]");
	CFG_addOptionS(config, minConfidence, pReal, 1, "0.1", "min confidence to classify an emotion", "[0,1]");
}


Config config;
