#ifndef _CONFIG_H_
#define _CONFIG_H_

#include "cyril-config.h"

#define NFEATS 6
#define NEMOTIONS 4

void load_config();

struct Config
{
	char *configLearned;
	real featuresWeights[NFEATS];
	real emfeatCenters[NEMOTIONS*NFEATS];
	real emfeatStdevs[NEMOTIONS*NFEATS];
	bool learning;
	
	int nChunks;
	real chunkLength;
	int acquisFreq;
	int acquisDepth;
	
	real pdaFrameLength;
	real pdaFrameShift;
	real normalizeGain;
	int noiseFloor;
	
	real minPctVoiced;
	real minConfidence;
	

};

extern Config config;


#endif


